<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<!-- 
IGAC proyecto SNC
@author: lorena.salamanca
  
@cu CU-SA-AC-008 Administrar contratos interadministrativos

-->

<h:form id="administrarContratoInteradministrativosForm"
        xmlns="http://www.w3.org/1999/xhtml"
        xmlns:h="http://java.sun.com/jsf/html"
        xmlns:f="http://java.sun.com/jsf/core"
        xmlns:ui="http://java.sun.com/jsf/facelets"
        xmlns:p="http://primefaces.org/ui"
        xmlns:misc="http://java.sun.com/jsf/composite/misc">

    <script src="#{request.contextPath}/js/jquery.formatCurrency.js"
            type="text/javascript" />

    <p:spacer height="5" />

    <p:fieldset>
        <h:panelGrid columns="6" cellspacing="7" width="100%">

            <h:outputLabel value="Razón Social/Persona Natural"
                           styleClass="outputLabelStyle" />
            <h:outputText
                value="#{adminContratosInteradministrativos.entidadSolicitante.nombreCompleto}"
                styleClass="outputTextStyle" />

            <h:outputLabel value="Tipo Documento:" styleClass="outputLabelStyle" />
            <h:outputText
                value="#{adminContratosInteradministrativos.entidadSolicitante.tipoIdentificacion}"
                styleClass="outputTextStyle" />

            <h:outputLabel value="No. Documento:" styleClass="outputLabelStyle" />
            <h:outputText
                value="#{adminContratosInteradministrativos.entidadSolicitante.numeroIdentificacion}"
                styleClass="outputTextStyle" />

        </h:panelGrid>
    </p:fieldset>

    <p:spacer height="5" />

    <p:fieldset>

        <p:messages id="msgsACI" showDetail="false" globalOnly="false" />

        <legend>
            <h:outputText value="Datos del contrato" styleClass="legendTitle" />
        </legend>

        <h:panelGrid columns="4" cellspacing="7" width="100%">

            <h:panelGroup>
                <h:outputLabel value="Régimen:" styleClass="outputLabelStyle" />
                <h:outputLabel value="* " styleClass="requiredLabelStyle" />
            </h:panelGroup>
            <h:panelGrid columns="2">
                <h:selectOneMenu id="regimen" label="Régimen"
                                 value="#{adminContratosInteradministrativos.contratoSeleccionado.regimen}"
                                 required="true">
                    <f:selectItem itemLabel="Seleccionar..." />
                    <f:selectItems value="#{general.contratoInteradminRegimenV}" />
                </h:selectOneMenu>
                <p:message for="regimen" display="icon" />
            </h:panelGrid>

            <h:outputLabel value="Acta liquidación:"
                           styleClass="outputLabelStyle" />
            <h:selectBooleanCheckbox
                value="#{adminContratosInteradministrativos.banderaActaLiquidacion}"
                disabled="#{!adminContratosInteradministrativos.actaLiquidacionHabilitada}">
                <p:ajax
                    update=":administrarContratoInteradministrativosForm:guardarContratoBtn" />
            </h:selectBooleanCheckbox>

            <h:outputLabel value="No. Documento interventor:"
                           styleClass="outputLabelStyle" />
            <h:outputText
                value="#{adminContratosInteradministrativos.contratoSeleccionado.interventor.numeroIdentificacion}"
                styleClass="outputTextStyle" />

            <h:outputLabel value="Nombre interventor:"
                           styleClass="outputLabelStyle" />
            <h:outputText
                value="#{adminContratosInteradministrativos.contratoSeleccionado.interventor.nombreCompleto}"
                styleClass="outputTextStyle" />

            <h:panelGroup>
                <h:outputLabel value="Primer nombre contacto:"
                               styleClass="outputLabelStyle" />
                <h:outputLabel value="* " styleClass="requiredLabelStyle" />
            </h:panelGroup>
            <h:panelGrid columns="2">
                <h:inputText id="contactoPrimerNombre"
                             label="Primer nombre contacto"
                             value="#{adminContratosInteradministrativos.contratoSeleccionado.contactoPrimerNombre}"
                             required="true" />
                <p:message for="contactoPrimerNombre" display="icon" />
            </h:panelGrid>

            <h:outputLabel value="Segundo nombre contacto:"
                           styleClass="outputLabelStyle" />
            <h:inputText
                value="#{adminContratosInteradministrativos.contratoSeleccionado.contactoSegundoNombre}" />

            <h:panelGroup>
                <h:outputLabel value="Primer apellido contacto:"
                               styleClass="outputLabelStyle" />
                <h:outputLabel value="* " styleClass="requiredLabelStyle" />
            </h:panelGroup>
            <h:panelGrid columns="2">
                <h:inputText id="contactoPrimerApellido"
                             label="Primer apellido contacto"
                             value="#{adminContratosInteradministrativos.contratoSeleccionado.contactoPrimerApellido}"
                             required="true" />
                <p:message for="contactoPrimerApellido" display="icon" />
            </h:panelGrid>

            <h:outputLabel value="Segundo apellido contacto:"
                           styleClass="outputLabelStyle" />
            <h:inputText
                value="#{adminContratosInteradministrativos.contratoSeleccionado.contactoSegundoApellido}" />

            <h:panelGroup>
                <h:outputLabel value="Teléfono contacto:"
                               styleClass="outputLabelStyle" />
                <h:outputLabel value="* " styleClass="requiredLabelStyle" />
            </h:panelGroup>
            <h:panelGrid columns="2">
                <h:inputText id="contactoTelefono" label="Teléfono Contacto"
                             value="#{adminContratosInteradministrativos.contratoSeleccionado.contactoTelefono}"
                             required="true" />
                <p:message for="contactoTelefono" display="icon" />
            </h:panelGrid>

            <h:panelGroup>
                <h:outputLabel value="Email contacto:" styleClass="outputLabelStyle" />
                <h:outputLabel value="* " styleClass="requiredLabelStyle" />
            </h:panelGroup>
            <h:panelGrid columns="2">
                <h:inputText id="contactoCorreoElectronico" label="Email Contacto"
                             value="#{adminContratosInteradministrativos.contratoSeleccionado.contactoCorreoElectronico}"
                             required="true" />
                <p:message for="contactoCorreoElectronico" display="icon" />
            </h:panelGrid>

            <h:panelGroup>
                <h:outputLabel value="Número contrato:"
                               styleClass="outputLabelStyle" />
                <h:outputLabel value="* " styleClass="requiredLabelStyle" />
            </h:panelGroup>
            <h:panelGrid columns="2">
                <h:inputText id="numeroContrato" label="Número contrato"
                             value="#{adminContratosInteradministrativos.contratoSeleccionado.numero}"
                             required="true" />
                <p:message for="numeroContrato" display="icon" />
            </h:panelGrid>

            <h:panelGroup>
                <h:outputLabel value="Vigencia contrato:"
                               styleClass="outputLabelStyle" />
                <h:outputLabel value="* " styleClass="requiredLabelStyle" />
            </h:panelGroup>
            <h:panelGrid columns="2">
                <h:selectOneMenu id="vigenciaContrato" label="Régimen"
                                 value="#{adminContratosInteradministrativos.contratoSeleccionado.vigencia}"
                                 required="true">
                    <f:selectItems value="#{general.rangoAniosAscDesdeActual}" />
                </h:selectOneMenu>
                <p:message for="vigenciaContrato" display="icon" />
            </h:panelGrid>

            <h:panelGroup id="fechaInicioContratoLB">
                <h:outputLabel value="Fecha inicio contrato:"
                               styleClass="outputLabelStyle" />
                <h:outputLabel value="* " styleClass="requiredLabelStyle"
                               rendered="#{not empty adminContratosInteradministrativos.contratoSeleccionado.fechaFin}" />
            </h:panelGroup>
            <h:panelGrid columns="2" id="fechaInicioContratoPG">
                <p:calendar id="fechaInicioContrato" 
                            navigator="true"
                            value="#{adminContratosInteradministrativos.contratoSeleccionado.fechaInicio}"
                            label="Fecha de la socialización" pattern="dd/MM/yyyy"
                            showOn="both" title="#{general.formatoFechaUsuario}"
                            effect="slideDown" size="12"
                            required="#{not empty adminContratosInteradministrativos.contratoSeleccionado.fechaFin}">
                    <p:ajax event="dateSelect"
                            update=":administrarContratoInteradministrativosForm:fechaFinContratoLB,
                            :administrarContratoInteradministrativosForm:fechaFinContratoPG" />
                </p:calendar>
                <p:message for="fechaInicioContrato" display="icon"
                           rendered="#{not empty adminContratosInteradministrativos.contratoSeleccionado.fechaFin}" />
            </h:panelGrid>

            <h:panelGroup id="fechaFinContratoLB">
                <h:outputLabel value="Fecha fin contrato:"
                               styleClass="outputLabelStyle" />
                <h:outputLabel value="* " styleClass="requiredLabelStyle"
                               rendered="#{not empty adminContratosInteradministrativos.contratoSeleccionado.fechaInicio}" />
            </h:panelGroup>
            <h:panelGrid columns="2" id="fechaFinContratoPG">
                <p:calendar id="fechaFinContrato" 
                            navigator="true"
                            value="#{adminContratosInteradministrativos.contratoSeleccionado.fechaFin}"
                            label="Fecha de la socialización" pattern="dd/MM/yyyy"
                            showOn="both" title="#{general.formatoFechaUsuario}"
                            effect="slideDown" size="12"
                            mindate="#{adminContratosInteradministrativos.contratoSeleccionado.fechaInicio}"
                            required="#{not empty adminContratosInteradministrativos.contratoSeleccionado.fechaInicio}">
                    <p:ajax event="dateSelect"
                            update=":administrarContratoInteradministrativosForm:fechaInicioContratoLB,
                            :administrarContratoInteradministrativosForm:fechaInicioContratoPG" />
                </p:calendar>
                <p:message for="fechaFinContrato" display="icon"
                           rendered="#{not empty adminContratosInteradministrativos.contratoSeleccionado.fechaInicio}" />
            </h:panelGrid>

            <h:outputLabel value="Fecha terminación contrato:"
                           styleClass="outputLabelStyle" />
            <h:outputText
                value="#{adminContratosInteradministrativos.contratoSeleccionado.fechaTerminacion}"
                styleClass="outputTextStyle">
                <f:convertDateTime pattern="#{general.formatoFechaUsuario2}"
                                   timeZone="GMT-5" />
            </h:outputText>

            <h:panelGroup>
                <h:outputLabel value="Valor contrato:" styleClass="outputLabelStyle" />
                <h:outputLabel value="* " styleClass="requiredLabelStyle" />
            </h:panelGroup>
            <h:panelGrid columns="2">
                <h:inputText id="valorContrato" label="Valor contrato"
                             value="#{adminContratosInteradministrativos.contratoSeleccionado.valor}"
                             required="true">
                    <f:validateDoubleRange minimum="1.0" for="valorContrato" />
                    <f:converter converterId="converterMoneda" for="valorContrato" />
                    <p:ajax event="blur"
                            update=":administrarContratoInteradministrativosForm:valorTotalContrato"
                            onstart="aplicarFormatoMoneda('administrarContratoInteradministrativosForm:valorContrato',true);" />
                    <p:ajax event="focus"
                            onstart="aplicarFormatoMoneda('administrarContratoInteradministrativosForm:valorContrato',false);" />
                </h:inputText>
                <p:message for="valorContrato" display="icon" />
            </h:panelGrid>

            <h:outputLabel value="Valor total contrato:"
                           styleClass="outputLabelStyle" />
            <h:outputText id="valorTotalContrato"
                          value="#{adminContratosInteradministrativos.contratoSeleccionado.valor + 
                                   adminContratosInteradministrativos.valorTotalAdicionesContrato}"
                          styleClass="outputTextStyle">
                <f:converter converterId="converterMoneda" for="valorTotalContrato" />
            </h:outputText>

            <h:outputText value="Valor ejecutado:" styleClass="outputLabelStyle" />
            <p:commandLink
                action="#{adminContratosInteradministrativos.cargarConsultaAvaluosDeContrato}"
                onstart="statusDialog2.show();"
                oncomplete="statusDialog2.hide(); 
                handleCompleteSIC(xhr, status, args, consultarAvaluosAprobadosContratoWV, true);"
                update=":administrarContratoInteradministrativosForm:msgsACI, 
                :consultarAvaluosAprobadosForm">
                <h:outputText id="valorEjecutado"
                              value="#{adminContratosInteradministrativos.valorEjecutado}"
                              styleClass="commandLinkStyle">
                    <f:converter converterId="converterMoneda" for="valorEjecutado" />
                </h:outputText>
            </p:commandLink>

            <h:outputText value="Valor comprometido en ejecución:"
                          styleClass="outputLabelStyle" />
            <p:commandLink
                action="#{adminContratosInteradministrativos.cargarAvaluosAsociadosContrato}"
                update=":adminAvaluosContratoForm, 
                :administrarContratoInteradministrativosForm:msgsACI"
                onstart="statusDialog2.show();"
                oncomplete="statusDialog2.hide(); 
                handleCompleteSIC(xhr, status, args, administrarAvaluosTramiteAsociadoWV, true);"
                immediate="true">
                <h:outputText id="valorComprometidoEjecucion"
                              value="#{adminContratosInteradministrativos.valorCompromentidoEjecucion}"
                              styleClass="commandLinkStyle">
                    <f:converter converterId="converterMoneda"
                                 for="valorComprometidoEjecucion" />
                </h:outputText>
            </p:commandLink>

            <h:outputLabel value="Saldo por ejecutar:"
                           styleClass="outputLabelStyle" />
            <h:outputText id="saldoPorEjecutar"
                          value="#{adminContratosInteradministrativos.contratoSeleccionado.valor - 10}"
                          styleClass="outputTextStyle">
                <f:converter converterId="converterMoneda" for="saldoPorEjecutar" />
            </h:outputText>


            <h:outputLabel value="No. Avalúos contratados:"
                           styleClass="outputLabelStyle" />
            <h:inputText label="No. Avalúos contratados"
                         value="#{adminContratosInteradministrativos.contratoSeleccionado.numeroAvaluosContratados}" />

            <h:outputLabel value="No. Avalúos aprobados:"
                           styleClass="outputLabelStyle" />
            <h:outputText
                value="#{adminContratosInteradministrativos.numeroAvaluosAprobados}"
                styleClass="outputTextStyle" />

            <h:outputLabel value="No. Avalúos en trámite:"
                           styleClass="outputLabelStyle" />
            <h:outputText
                value="#{adminContratosInteradministrativos.numeroAvaluosEnTramite}"
                styleClass="outputTextStyle" />

            <h:outputText value="Total adiciones contrato:"
                          styleClass="outputLabelStyle" />
            <p:commandLink
                action="#{adminContratosInteradministrativos.cargarAdicionesContrato}"
                update=":adicionesContratoForm, 
                :administrarContratoInteradministrativosForm:msgsACI"
                onstart="statusDialog2.show();"
                oncomplete="statusDialog2.hide(); 
                handleCompleteSIC(xhr, status, args, administrarAdicionesWV, true);"
                immediate="true">
                <h:outputText id="totalAdicionesContratos"
                              value="#{adminContratosInteradministrativos.valorTotalAdicionesContrato}"
                              styleClass="commandLinkStyle">
                    <f:converter converterId="converterMoneda"
                                 for="totalAdicionesContratos" />
                </h:outputText>
            </p:commandLink>

        </h:panelGrid>

        <h:panelGrid columns="1" cellspacing="7" width="100%">

            <h:panelGrid columns="3">
                <h:outputLabel value="Objeto contrato:"
                               styleClass="outputLabelStyle" />
                <h:outputLabel value="* " styleClass="requiredLabelStyle" />
                <p:message for="objetoContrato" display="icon" />
            </h:panelGrid>
            <h:inputTextarea id="objetoContrato" label="Objeto contrato"
                             value="#{adminContratosInteradministrativos.contratoSeleccionado.objeto}"
                             cols="20" rows="3" style="width:100%; margin:0 auto;"
                             required="true" />

        </h:panelGrid>
    </p:fieldset>

    <h:panelGrid columns="3" cellspacing="7">
        <p:commandButton id="guardarContratoBtn" value="Guardar"
                         icon="ui-icon ui-icon-disk" onstart="statusDialog2.show();"
                         oncomplete="statusDialog2.hide(); 
                         handleCompleteSIC(xhr, status, args, guardarContratoConfirmationWV, true);"
                         update=":administrarContratoInteradministrativosForm"
                         disabled="#{!adminContratosInteradministrativos.botonGuardarHabilitado}" />
        <p:commandButton value="Consultar consignación anticipo"
                         icon="ui-icon ui-icon-search"
                         action="#{adminContratosInteradministrativos.cargarConsignacionesAnticipos}"
                         update=":consultarConsignacionesForm, :administrarContratoInteradministrativosForm:msgsACI"
                         onstart="statusDialog2.show();"
                         oncomplete="statusDialog2.hide(); 
                         handleCompleteSIC(xhr, status, args, consultarConsignacionWV, true);"
                         immediate="true" />

    </h:panelGrid>

</h:form>